Name:       dino
Version:    0.3.0
Release:    %mkrel 1

License:    GPLv3
Summary:    Modern XMPP ("Jabber") Chat Client using GTK+/Vala
URL:        https://github.com/dino/dino
Source0:    %{url}/releases/download/v%{version}/dino-%{version}.tar.xz
Patch1:		dino-linking.patch
Group: Networking/Instant messaging

BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64gcrypt-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64gee-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gpg-error-devel
BuildRequires: lib64gpgme-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64harfbuzz-devel
BuildRequires: lib64icu-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64qrencode-devel
BuildRequires: lib64signal-protocol-c-devel
BuildRequires: lib64soup-devel
BuildRequires: lib64sqlite3-devel
BuildRequires: vala

Requires: vala
Requires:   hicolor-icon-theme

%description
A modern XMPP ("Jabber") chat client using GTK+/Vala.

%package devel
Summary:    Development files for dino
Group: Development/Libraries
Requires:   dino

%description devel
Development files for dino.


%prep
%setup -qn %{name}-%{version}
%apply_patches

# Remove the bundled library
rm .gitmodules
rm -r plugins/signal-protocol/libsignal-protocol-c

%build
export SHARED_SIGNAL_PROTOCOL=true
%configure2_5x
%make_build


%install
rm -rf %buildroot
%make_install

%files
%{_bindir}
%{_datadir}
%{_libdir}/dino
%{_libdir}/libdino.so.0*
%{_libdir}/libqlite.so.0*
%{_libdir}/libxmpp-vala.so.0*
 %{_libdir}/libcrypto-vala.so.0*

%files devel
%{_datadir}/vala/vapi/dino.*
%{_datadir}/vala/vapi/qlite.*
%{_datadir}/vala/vapi/xmpp-vala.*
%{_includedir}
%{_libdir}/libdino.so
%{_libdir}/libqlite.so
%{_libdir}/libxmpp-vala.so
%{_libdir}/libcrypto-vala.so

%changelog
* Tue Sep 13 2022 tex - 0.3.0-1pclos2022
- new version

* Mon Oct 11 2021 tex - 0.2.2-1pclos2021
- create pkg
